## org.eclipse.datatools.modelbase.sql.constraints
Interface SQLConstraintsPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface SQLConstraintsPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `SQLConstraintsFactory`

Nested Class Summary
`static interface` `SQLConstraintsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ASSERTION` The meta object id for the '`Assertion`' class.
`static int` `ASSERTION__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `ASSERTION__CONSTRAINED_TABLES` The feature id for the 'Constrained Tables' reference list.
`static int` `ASSERTION__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `ASSERTION__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `ASSERTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `ASSERTION__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `ASSERTION__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `ASSERTION__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `ASSERTION__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `ASSERTION__LABEL` The feature id for the 'Label' attribute.
`static int` `ASSERTION__NAME` The feature id for the 'Name' attribute.
`static int` `ASSERTION__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `ASSERTION__SCHEMA` The feature id for the 'Schema' reference.
`static int` `ASSERTION__SEARCH_CONDITION` The feature id for the 'Search Condition' containment reference.
`static int` `ASSERTION_FEATURE_COUNT` The number of structural features of the 'Assertion' class.
`static int` `CHECK_CONSTRAINT` The meta object id for the '`Check Constraint`' class.
`static int` `CHECK_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `CHECK_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CHECK_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `CHECK_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CHECK_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CHECK_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CHECK_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `CHECK_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `CHECK_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `CHECK_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `CHECK_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `CHECK_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CHECK_CONSTRAINT__SEARCH_CONDITION` The feature id for the 'Search Condition' containment reference.
`static int` `CHECK_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Check Constraint' class.
`static int` `CONSTRAINT` The meta object id for the '`Constraint`' class.
`static int` `CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Constraint' class.
`static SQLConstraintsPackage` `eINSTANCE` The singleton instance of the package.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `FOREIGN_KEY` The meta object id for the '`Foreign Key`' class.
`static int` `FOREIGN_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `FOREIGN_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `FOREIGN_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `FOREIGN_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `FOREIGN_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `FOREIGN_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `FOREIGN_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `FOREIGN_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `FOREIGN_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `FOREIGN_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `FOREIGN_KEY__MATCH` The feature id for the 'Match' attribute.
`static int` `FOREIGN_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `FOREIGN_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `FOREIGN_KEY__ON_DELETE` The feature id for the 'On Delete' attribute.
`static int` `FOREIGN_KEY__ON_UPDATE` The feature id for the 'On Update' attribute.
`static int` `FOREIGN_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `FOREIGN_KEY__REFERENCED_MEMBERS` The feature id for the 'Referenced Members' reference list.
`static int` `FOREIGN_KEY__REFERENCED_TABLE` The feature id for the 'Referenced Table' reference.
`static int` `FOREIGN_KEY__UNIQUE_CONSTRAINT` The feature id for the 'Unique Constraint' reference.
`static int` `FOREIGN_KEY__UNIQUE_INDEX` The feature id for the 'Unique Index' reference.
`static int` `FOREIGN_KEY_FEATURE_COUNT` The number of structural features of the 'Foreign Key' class.
`static int` `INCREMENT_TYPE` The meta object id for the '`Increment Type`' enum.
`static int` `INDEX` The meta object id for the '`Index`' class.
`static int` `INDEX__CLUSTERED` The feature id for the 'Clustered' attribute.
`static int` `INDEX__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INDEX__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INDEX__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INDEX__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INDEX__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `INDEX__FILL_FACTOR` The feature id for the 'Fill Factor' attribute.
`static int` `INDEX__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `INDEX__INCLUDED_MEMBERS` The feature id for the 'Included Members' containment reference list.
`static int` `INDEX__LABEL` The feature id for the 'Label' attribute.
`static int` `INDEX__MEMBERS` The feature id for the 'Members' containment reference list.
`static int` `INDEX__NAME` The feature id for the 'Name' attribute.
`static int` `INDEX__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INDEX__SCHEMA` The feature id for the 'Schema' reference.
`static int` `INDEX__SYSTEM_GENERATED` The feature id for the 'System Generated' attribute.
`static int` `INDEX__TABLE` The feature id for the 'Table' reference.
`static int` `INDEX__UNIQUE` The feature id for the 'Unique' attribute.
`static int` `INDEX_FEATURE_COUNT` The number of structural features of the 'Index' class.
`static int` `INDEX_MEMBER` The meta object id for the '`Index Member`' class.
`static int` `INDEX_MEMBER__COLUMN` The feature id for the 'Column' reference.
`static int` `INDEX_MEMBER__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `INDEX_MEMBER__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `INDEX_MEMBER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `INDEX_MEMBER__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `INDEX_MEMBER__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `INDEX_MEMBER__INCREMENT_TYPE` The feature id for the 'Increment Type' attribute.
`static int` `INDEX_MEMBER__LABEL` The feature id for the 'Label' attribute.
`static int` `INDEX_MEMBER__NAME` The feature id for the 'Name' attribute.
`static int` `INDEX_MEMBER__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `INDEX_MEMBER_FEATURE_COUNT` The number of structural features of the 'Index Member' class.
`static int` `MATCH_TYPE` The meta object id for the '`Match Type`' enum.
`static int` `PRIMARY_KEY` The meta object id for the '`Primary Key`' class.
`static int` `PRIMARY_KEY__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `PRIMARY_KEY__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `PRIMARY_KEY__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `PRIMARY_KEY__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `PRIMARY_KEY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `PRIMARY_KEY__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `PRIMARY_KEY__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `PRIMARY_KEY__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `PRIMARY_KEY__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `PRIMARY_KEY__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `PRIMARY_KEY__LABEL` The feature id for the 'Label' attribute.
`static int` `PRIMARY_KEY__MEMBERS` The feature id for the 'Members' reference list.
`static int` `PRIMARY_KEY__NAME` The feature id for the 'Name' attribute.
`static int` `PRIMARY_KEY__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `PRIMARY_KEY_FEATURE_COUNT` The number of structural features of the 'Primary Key' class.
`static int` `REFERENCE_CONSTRAINT` The meta object id for the '`Reference Constraint`' class.
`static int` `REFERENCE_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `REFERENCE_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `REFERENCE_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `REFERENCE_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `REFERENCE_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `REFERENCE_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `REFERENCE_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `REFERENCE_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `REFERENCE_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `REFERENCE_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `REFERENCE_CONSTRAINT__MEMBERS` The feature id for the 'Members' reference list.
`static int` `REFERENCE_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `REFERENCE_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `REFERENCE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Reference Constraint' class.
`static int` `TABLE_CONSTRAINT` The meta object id for the '`Table Constraint`' class.
`static int` `TABLE_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `TABLE_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `TABLE_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `TABLE_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `TABLE_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `TABLE_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `TABLE_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `TABLE_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `TABLE_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `TABLE_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `TABLE_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `TABLE_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `TABLE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Table Constraint' class.
`static int` `UNIQUE_CONSTRAINT` The meta object id for the '`Unique Constraint`' class.
`static int` `UNIQUE_CONSTRAINT__BASE_TABLE` The feature id for the 'Base Table' container reference.
`static int` `UNIQUE_CONSTRAINT__COMMENTS` The feature id for the 'Comments' reference list.
`static int` `UNIQUE_CONSTRAINT__DEFERRABLE` The feature id for the 'Deferrable' attribute.
`static int` `UNIQUE_CONSTRAINT__DEPENDENCIES` The feature id for the 'Dependencies' containment reference list.
`static int` `UNIQUE_CONSTRAINT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `UNIQUE_CONSTRAINT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list.
`static int` `UNIQUE_CONSTRAINT__ENFORCED` The feature id for the 'Enforced' attribute.
`static int` `UNIQUE_CONSTRAINT__EXTENSIONS` The feature id for the 'Extensions' containment reference list.
`static int` `UNIQUE_CONSTRAINT__FOREIGN_KEY` The feature id for the 'Foreign Key' reference list.
`static int` `UNIQUE_CONSTRAINT__INITIALLY_DEFERRED` The feature id for the 'Initially Deferred' attribute.
`static int` `UNIQUE_CONSTRAINT__LABEL` The feature id for the 'Label' attribute.
`static int` `UNIQUE_CONSTRAINT__MEMBERS` The feature id for the 'Members' reference list.
`static int` `UNIQUE_CONSTRAINT__NAME` The feature id for the 'Name' attribute.
`static int` `UNIQUE_CONSTRAINT__PRIVILEGES` The feature id for the 'Privileges' reference list.
`static int` `UNIQUE_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Unique Constraint' class.

Method Summary
`org.eclipse.emf.ecore.EReference` `getAssertion_ConstrainedTables()` Returns the meta object for the reference list '`Constrained Tables`'.
`org.eclipse.emf.ecore.EReference` `getAssertion_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EReference` `getAssertion_SearchCondition()` Returns the meta object for the containment reference '`Search Condition`'.
`org.eclipse.emf.ecore.EClass` `getAssertion()` Returns the meta object for class '`Assertion`'.
`org.eclipse.emf.ecore.EReference` `getCheckConstraint_SearchCondition()` Returns the meta object for the containment reference '`Search Condition`'.
`org.eclipse.emf.ecore.EClass` `getCheckConstraint()` Returns the meta object for class '`Check Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getConstraint_Deferrable()` Returns the meta object for the attribute '`Deferrable`'.
`org.eclipse.emf.ecore.EAttribute` `getConstraint_Enforced()` Returns the meta object for the attribute '`Enforced`'.
`org.eclipse.emf.ecore.EAttribute` `getConstraint_InitiallyDeferred()` Returns the meta object for the attribute '`Initially Deferred`'.
`org.eclipse.emf.ecore.EClass` `getConstraint()` Returns the meta object for class '`Constraint`'.
`org.eclipse.emf.ecore.EAttribute` `getForeignKey_Match()` Returns the meta object for the attribute '`Match`'.
`org.eclipse.emf.ecore.EAttribute` `getForeignKey_OnDelete()` Returns the meta object for the attribute '`On Delete`'.
`org.eclipse.emf.ecore.EAttribute` `getForeignKey_OnUpdate()` Returns the meta object for the attribute '`On Update`'.
`org.eclipse.emf.ecore.EReference` `getForeignKey_ReferencedMembers()` Returns the meta object for the reference list '`Referenced Members`'.
`org.eclipse.emf.ecore.EReference` `getForeignKey_ReferencedTable()` Returns the meta object for the reference '`Referenced Table`'.
`org.eclipse.emf.ecore.EReference` `getForeignKey_UniqueConstraint()` Returns the meta object for the reference '`Unique Constraint`'.
`org.eclipse.emf.ecore.EReference` `getForeignKey_UniqueIndex()` Returns the meta object for the reference '`Unique Index`'.
`org.eclipse.emf.ecore.EClass` `getForeignKey()` Returns the meta object for class '`Foreign Key`'.
`org.eclipse.emf.ecore.EEnum` `getIncrementType()` Returns the meta object for enum '`Increment Type`'.
`org.eclipse.emf.ecore.EAttribute` `getIndex_Clustered()` Returns the meta object for the attribute '`Clustered`'.
`org.eclipse.emf.ecore.EAttribute` `getIndex_FillFactor()` Returns the meta object for the attribute '`Fill Factor`'.
`org.eclipse.emf.ecore.EReference` `getIndex_ForeignKey()` Returns the meta object for the reference list '`Foreign Key`'.
`org.eclipse.emf.ecore.EReference` `getIndex_IncludedMembers()` Returns the meta object for the containment reference list '`Included Members`'.
`org.eclipse.emf.ecore.EReference` `getIndex_Members()` Returns the meta object for the containment reference list '`Members`'.
`org.eclipse.emf.ecore.EReference` `getIndex_Schema()` Returns the meta object for the reference '`Schema`'.
`org.eclipse.emf.ecore.EAttribute` `getIndex_SystemGenerated()` Returns the meta object for the attribute '`System Generated`'.
`org.eclipse.emf.ecore.EReference` `getIndex_Table()` Returns the meta object for the reference '`Table`'.
`org.eclipse.emf.ecore.EAttribute` `getIndex_Unique()` Returns the meta object for the attribute '`Unique`'.
`org.eclipse.emf.ecore.EClass` `getIndex()` Returns the meta object for class '`Index`'.
`org.eclipse.emf.ecore.EReference` `getIndexMember_Column()` Returns the meta object for the reference '`Column`'.
`org.eclipse.emf.ecore.EAttribute` `getIndexMember_IncrementType()` Returns the meta object for the attribute '`Increment Type`'.
`org.eclipse.emf.ecore.EClass` `getIndexMember()` Returns the meta object for class '`Index Member`'.
`org.eclipse.emf.ecore.EEnum` `getMatchType()` Returns the meta object for enum '`Match Type`'.
`org.eclipse.emf.ecore.EClass` `getPrimaryKey()` Returns the meta object for class '`Primary Key`'.
`org.eclipse.emf.ecore.EReference` `getReferenceConstraint_Members()` Returns the meta object for the reference list '`Members`'.
`org.eclipse.emf.ecore.EClass` `getReferenceConstraint()` Returns the meta object for class '`Reference Constraint`'.
`SQLConstraintsFactory` `getSQLConstraintsFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` `getTableConstraint_BaseTable()` Returns the meta object for the container reference '`Base Table`'.
`org.eclipse.emf.ecore.EClass` `getTableConstraint()` Returns the meta object for class '`Table Constraint`'.
`org.eclipse.emf.ecore.EReference` `getUniqueConstraint_ForeignKey()` Returns the meta object for the reference list '`Foreign Key`'.
`org.eclipse.emf.ecore.EClass` `getUniqueConstraint()` Returns the meta object for class '`Unique Constraint`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final SQLConstraintsPackage eINSTANCE

  The singleton instance of the package.

### CONSTRAINT

    static final int CONSTRAINT

  The meta object id for the '`Constraint`' class.

  See Also:
    `ConstraintImpl`, `SQLConstraintsPackageImpl.getConstraint()`, Constant Field Values

### CONSTRAINT__EANNOTATIONS

    static final int CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__NAME

    static final int CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__DEPENDENCIES

    static final int CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__DESCRIPTION

    static final int CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__LABEL

    static final int CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__COMMENTS

    static final int CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__EXTENSIONS

    static final int CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__PRIVILEGES

    static final int CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### CONSTRAINT__DEFERRABLE

    static final int CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__INITIALLY_DEFERRED

    static final int CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT__ENFORCED

    static final int CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### CONSTRAINT_FEATURE_COUNT

    static final int CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Constraint' class.

  See Also:
    Constant Field Values

### ASSERTION

    static final int ASSERTION

  The meta object id for the '`Assertion`' class.

  See Also:
    `AssertionImpl`, `SQLConstraintsPackageImpl.getAssertion()`, Constant Field Values

### ASSERTION__EANNOTATIONS

    static final int ASSERTION__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### ASSERTION__NAME

    static final int ASSERTION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### ASSERTION__DEPENDENCIES

    static final int ASSERTION__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### ASSERTION__DESCRIPTION

    static final int ASSERTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### ASSERTION__LABEL

    static final int ASSERTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ASSERTION__COMMENTS

    static final int ASSERTION__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### ASSERTION__EXTENSIONS

    static final int ASSERTION__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### ASSERTION__PRIVILEGES

    static final int ASSERTION__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### ASSERTION__DEFERRABLE

    static final int ASSERTION__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### ASSERTION__INITIALLY_DEFERRED

    static final int ASSERTION__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### ASSERTION__ENFORCED

    static final int ASSERTION__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### ASSERTION__SEARCH_CONDITION

    static final int ASSERTION__SEARCH_CONDITION

  The feature id for the 'Search Condition' containment reference.

  See Also:
    Constant Field Values

### ASSERTION__SCHEMA

    static final int ASSERTION__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### ASSERTION__CONSTRAINED_TABLES

    static final int ASSERTION__CONSTRAINED_TABLES

  The feature id for the 'Constrained Tables' reference list.

  See Also:
    Constant Field Values

### ASSERTION_FEATURE_COUNT

    static final int ASSERTION_FEATURE_COUNT

  The number of structural features of the 'Assertion' class.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT

    static final int TABLE_CONSTRAINT

  The meta object id for the '`Table Constraint`' class.

  See Also:
    `TableConstraintImpl`, `SQLConstraintsPackageImpl.getTableConstraint()`, Constant Field Values

### TABLE_CONSTRAINT__EANNOTATIONS

    static final int TABLE_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__NAME

    static final int TABLE_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__DEPENDENCIES

    static final int TABLE_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__DESCRIPTION

    static final int TABLE_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__LABEL

    static final int TABLE_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__COMMENTS

    static final int TABLE_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__EXTENSIONS

    static final int TABLE_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__PRIVILEGES

    static final int TABLE_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__DEFERRABLE

    static final int TABLE_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__INITIALLY_DEFERRED

    static final int TABLE_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__ENFORCED

    static final int TABLE_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT__BASE_TABLE

    static final int TABLE_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### TABLE_CONSTRAINT_FEATURE_COUNT

    static final int TABLE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Table Constraint' class.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT

    static final int REFERENCE_CONSTRAINT

  The meta object id for the '`Reference Constraint`' class.

  See Also:
    `ReferenceConstraintImpl`, `SQLConstraintsPackageImpl.getReferenceConstraint()`, Constant Field Values

### REFERENCE_CONSTRAINT__EANNOTATIONS

    static final int REFERENCE_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__NAME

    static final int REFERENCE_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__DEPENDENCIES

    static final int REFERENCE_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__DESCRIPTION

    static final int REFERENCE_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__LABEL

    static final int REFERENCE_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__COMMENTS

    static final int REFERENCE_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__EXTENSIONS

    static final int REFERENCE_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__PRIVILEGES

    static final int REFERENCE_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__DEFERRABLE

    static final int REFERENCE_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__INITIALLY_DEFERRED

    static final int REFERENCE_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__ENFORCED

    static final int REFERENCE_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__BASE_TABLE

    static final int REFERENCE_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT__MEMBERS

    static final int REFERENCE_CONSTRAINT__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### REFERENCE_CONSTRAINT_FEATURE_COUNT

    static final int REFERENCE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Reference Constraint' class.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT

    static final int CHECK_CONSTRAINT

  The meta object id for the '`Check Constraint`' class.

  See Also:
    `CheckConstraintImpl`, `SQLConstraintsPackageImpl.getCheckConstraint()`, Constant Field Values

### CHECK_CONSTRAINT__EANNOTATIONS

    static final int CHECK_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__NAME

    static final int CHECK_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__DEPENDENCIES

    static final int CHECK_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__DESCRIPTION

    static final int CHECK_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__LABEL

    static final int CHECK_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__COMMENTS

    static final int CHECK_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__EXTENSIONS

    static final int CHECK_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__PRIVILEGES

    static final int CHECK_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__DEFERRABLE

    static final int CHECK_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__INITIALLY_DEFERRED

    static final int CHECK_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__ENFORCED

    static final int CHECK_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__BASE_TABLE

    static final int CHECK_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT__SEARCH_CONDITION

    static final int CHECK_CONSTRAINT__SEARCH_CONDITION

  The feature id for the 'Search Condition' containment reference.

  See Also:
    Constant Field Values

### CHECK_CONSTRAINT_FEATURE_COUNT

    static final int CHECK_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Check Constraint' class.

  See Also:
    Constant Field Values

### FOREIGN_KEY

    static final int FOREIGN_KEY

  The meta object id for the '`Foreign Key`' class.

  See Also:
    `ForeignKeyImpl`, `SQLConstraintsPackageImpl.getForeignKey()`, Constant Field Values

### FOREIGN_KEY__EANNOTATIONS

    static final int FOREIGN_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__NAME

    static final int FOREIGN_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__DEPENDENCIES

    static final int FOREIGN_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__DESCRIPTION

    static final int FOREIGN_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__LABEL

    static final int FOREIGN_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__COMMENTS

    static final int FOREIGN_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__EXTENSIONS

    static final int FOREIGN_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__PRIVILEGES

    static final int FOREIGN_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__DEFERRABLE

    static final int FOREIGN_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__INITIALLY_DEFERRED

    static final int FOREIGN_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__ENFORCED

    static final int FOREIGN_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__BASE_TABLE

    static final int FOREIGN_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### FOREIGN_KEY__MEMBERS

    static final int FOREIGN_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__MATCH

    static final int FOREIGN_KEY__MATCH

  The feature id for the 'Match' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__ON_UPDATE

    static final int FOREIGN_KEY__ON_UPDATE

  The feature id for the 'On Update' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__ON_DELETE

    static final int FOREIGN_KEY__ON_DELETE

  The feature id for the 'On Delete' attribute.

  See Also:
    Constant Field Values

### FOREIGN_KEY__UNIQUE_CONSTRAINT

    static final int FOREIGN_KEY__UNIQUE_CONSTRAINT

  The feature id for the 'Unique Constraint' reference.

  See Also:
    Constant Field Values

### FOREIGN_KEY__REFERENCED_MEMBERS

    static final int FOREIGN_KEY__REFERENCED_MEMBERS

  The feature id for the 'Referenced Members' reference list.

  See Also:
    Constant Field Values

### FOREIGN_KEY__UNIQUE_INDEX

    static final int FOREIGN_KEY__UNIQUE_INDEX

  The feature id for the 'Unique Index' reference.

  See Also:
    Constant Field Values

### FOREIGN_KEY__REFERENCED_TABLE

    static final int FOREIGN_KEY__REFERENCED_TABLE

  The feature id for the 'Referenced Table' reference.

  See Also:
    Constant Field Values

### FOREIGN_KEY_FEATURE_COUNT

    static final int FOREIGN_KEY_FEATURE_COUNT

  The number of structural features of the 'Foreign Key' class.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT

    static final int UNIQUE_CONSTRAINT

  The meta object id for the '`Unique Constraint`' class.

  See Also:
    `UniqueConstraintImpl`, `SQLConstraintsPackageImpl.getUniqueConstraint()`, Constant Field Values

### UNIQUE_CONSTRAINT__EANNOTATIONS

    static final int UNIQUE_CONSTRAINT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__NAME

    static final int UNIQUE_CONSTRAINT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__DEPENDENCIES

    static final int UNIQUE_CONSTRAINT__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__DESCRIPTION

    static final int UNIQUE_CONSTRAINT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__LABEL

    static final int UNIQUE_CONSTRAINT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__COMMENTS

    static final int UNIQUE_CONSTRAINT__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__EXTENSIONS

    static final int UNIQUE_CONSTRAINT__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__PRIVILEGES

    static final int UNIQUE_CONSTRAINT__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__DEFERRABLE

    static final int UNIQUE_CONSTRAINT__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

    static final int UNIQUE_CONSTRAINT__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__ENFORCED

    static final int UNIQUE_CONSTRAINT__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__BASE_TABLE

    static final int UNIQUE_CONSTRAINT__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__MEMBERS

    static final int UNIQUE_CONSTRAINT__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT__FOREIGN_KEY

    static final int UNIQUE_CONSTRAINT__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### UNIQUE_CONSTRAINT_FEATURE_COUNT

    static final int UNIQUE_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Unique Constraint' class.

  See Also:
    Constant Field Values

### PRIMARY_KEY

    static final int PRIMARY_KEY

  The meta object id for the '`Primary Key`' class.

  See Also:
    `PrimaryKeyImpl`, `SQLConstraintsPackageImpl.getPrimaryKey()`, Constant Field Values

### PRIMARY_KEY__EANNOTATIONS

    static final int PRIMARY_KEY__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__NAME

    static final int PRIMARY_KEY__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__DEPENDENCIES

    static final int PRIMARY_KEY__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__DESCRIPTION

    static final int PRIMARY_KEY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__LABEL

    static final int PRIMARY_KEY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__COMMENTS

    static final int PRIMARY_KEY__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__EXTENSIONS

    static final int PRIMARY_KEY__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__PRIVILEGES

    static final int PRIMARY_KEY__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__DEFERRABLE

    static final int PRIMARY_KEY__DEFERRABLE

  The feature id for the 'Deferrable' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__INITIALLY_DEFERRED

    static final int PRIMARY_KEY__INITIALLY_DEFERRED

  The feature id for the 'Initially Deferred' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__ENFORCED

    static final int PRIMARY_KEY__ENFORCED

  The feature id for the 'Enforced' attribute.

  See Also:
    Constant Field Values

### PRIMARY_KEY__BASE_TABLE

    static final int PRIMARY_KEY__BASE_TABLE

  The feature id for the 'Base Table' container reference.

  See Also:
    Constant Field Values

### PRIMARY_KEY__MEMBERS

    static final int PRIMARY_KEY__MEMBERS

  The feature id for the 'Members' reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY__FOREIGN_KEY

    static final int PRIMARY_KEY__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### PRIMARY_KEY_FEATURE_COUNT

    static final int PRIMARY_KEY_FEATURE_COUNT

  The number of structural features of the 'Primary Key' class.

  See Also:
    Constant Field Values

### INDEX

    static final int INDEX

  The meta object id for the '`Index`' class.

  See Also:
    `IndexImpl`, `SQLConstraintsPackageImpl.getIndex()`, Constant Field Values

### INDEX__EANNOTATIONS

    static final int INDEX__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INDEX__NAME

    static final int INDEX__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INDEX__DEPENDENCIES

    static final int INDEX__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INDEX__DESCRIPTION

    static final int INDEX__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INDEX__LABEL

    static final int INDEX__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INDEX__COMMENTS

    static final int INDEX__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INDEX__EXTENSIONS

    static final int INDEX__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### INDEX__PRIVILEGES

    static final int INDEX__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INDEX__SCHEMA

    static final int INDEX__SCHEMA

  The feature id for the 'Schema' reference.

  See Also:
    Constant Field Values

### INDEX__CLUSTERED

    static final int INDEX__CLUSTERED

  The feature id for the 'Clustered' attribute.

  See Also:
    Constant Field Values

### INDEX__FILL_FACTOR

    static final int INDEX__FILL_FACTOR

  The feature id for the 'Fill Factor' attribute.

  See Also:
    Constant Field Values

### INDEX__UNIQUE

    static final int INDEX__UNIQUE

  The feature id for the 'Unique' attribute.

  See Also:
    Constant Field Values

### INDEX__SYSTEM_GENERATED

    static final int INDEX__SYSTEM_GENERATED

  The feature id for the 'System Generated' attribute.

  See Also:
    Constant Field Values

### INDEX__MEMBERS

    static final int INDEX__MEMBERS

  The feature id for the 'Members' containment reference list.

  See Also:
    Constant Field Values

### INDEX__TABLE

    static final int INDEX__TABLE

  The feature id for the 'Table' reference.

  See Also:
    Constant Field Values

### INDEX__FOREIGN_KEY

    static final int INDEX__FOREIGN_KEY

  The feature id for the 'Foreign Key' reference list.

  See Also:
    Constant Field Values

### INDEX__INCLUDED_MEMBERS

    static final int INDEX__INCLUDED_MEMBERS

  The feature id for the 'Included Members' containment reference list.

  See Also:
    Constant Field Values

### INDEX_FEATURE_COUNT

    static final int INDEX_FEATURE_COUNT

  The number of structural features of the 'Index' class.

  See Also:
    Constant Field Values

### INDEX_MEMBER

    static final int INDEX_MEMBER

  The meta object id for the '`Index Member`' class.

  See Also:
    `IndexMemberImpl`, `SQLConstraintsPackageImpl.getIndexMember()`, Constant Field Values

### INDEX_MEMBER__EANNOTATIONS

    static final int INDEX_MEMBER__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values

### INDEX_MEMBER__NAME

    static final int INDEX_MEMBER__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### INDEX_MEMBER__DEPENDENCIES

    static final int INDEX_MEMBER__DEPENDENCIES

  The feature id for the 'Dependencies' containment reference list.

  See Also:
    Constant Field Values

### INDEX_MEMBER__DESCRIPTION

    static final int INDEX_MEMBER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### INDEX_MEMBER__LABEL

    static final int INDEX_MEMBER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### INDEX_MEMBER__COMMENTS

    static final int INDEX_MEMBER__COMMENTS

  The feature id for the 'Comments' reference list.

  See Also:
    Constant Field Values

### INDEX_MEMBER__EXTENSIONS

    static final int INDEX_MEMBER__EXTENSIONS

  The feature id for the 'Extensions' containment reference list.

  See Also:
    Constant Field Values

### INDEX_MEMBER__PRIVILEGES

    static final int INDEX_MEMBER__PRIVILEGES

  The feature id for the 'Privileges' reference list.

  See Also:
    Constant Field Values

### INDEX_MEMBER__INCREMENT_TYPE

    static final int INDEX_MEMBER__INCREMENT_TYPE

  The feature id for the 'Increment Type' attribute.

  See Also:
    Constant Field Values

### INDEX_MEMBER__COLUMN

    static final int INDEX_MEMBER__COLUMN

  The feature id for the 'Column' reference.

  See Also:
    Constant Field Values

### INDEX_MEMBER_FEATURE_COUNT

    static final int INDEX_MEMBER_FEATURE_COUNT

  The number of structural features of the 'Index Member' class.

  See Also:
    Constant Field Values

### MATCH_TYPE

    static final int MATCH_TYPE

  The meta object id for the '`Match Type`' enum.

  See Also:
    `MatchType`, `SQLConstraintsPackageImpl.getMatchType()`, Constant Field Values

### INCREMENT_TYPE

    static final int INCREMENT_TYPE

  The meta object id for the '`Increment Type`' enum.

  See Also:
    `IncrementType`, `SQLConstraintsPackageImpl.getIncrementType()`, Constant Field Values

Method Detail

### getAssertion

    org.eclipse.emf.ecore.EClass getAssertion()

  Returns the meta object for class '`Assertion`'.

  Returns:
    the meta object for class 'Assertion'.
  See Also:
    `Assertion`

### getAssertion_SearchCondition

    org.eclipse.emf.ecore.EReference getAssertion_SearchCondition()

  Returns the meta object for the containment reference '`Search Condition`'.

  Returns:
    the meta object for the containment reference 'Search Condition'.
  See Also:
    `Assertion.getSearchCondition()`, `getAssertion()`

### getAssertion_Schema

    org.eclipse.emf.ecore.EReference getAssertion_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Assertion.getSchema()`, `getAssertion()`

### getAssertion_ConstrainedTables

    org.eclipse.emf.ecore.EReference getAssertion_ConstrainedTables()

  Returns the meta object for the reference list '`Constrained Tables`'.

  Returns:
    the meta object for the reference list 'Constrained Tables'.
  See Also:
    `Assertion.getConstrainedTables()`, `getAssertion()`

### getConstraint

    org.eclipse.emf.ecore.EClass getConstraint()

  Returns the meta object for class '`Constraint`'.

  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Deferrable

    org.eclipse.emf.ecore.EAttribute getConstraint_Deferrable()

  Returns the meta object for the attribute '`Deferrable`'.

  Returns:
    the meta object for the attribute 'Deferrable'.
  See Also:
    `Constraint.isDeferrable()`, `getConstraint()`

### getConstraint_InitiallyDeferred

    org.eclipse.emf.ecore.EAttribute getConstraint_InitiallyDeferred()

  Returns the meta object for the attribute '`Initially Deferred`'.

  Returns:
    the meta object for the attribute 'Initially Deferred'.
  See Also:
    `Constraint.isInitiallyDeferred()`, `getConstraint()`

### getConstraint_Enforced

    org.eclipse.emf.ecore.EAttribute getConstraint_Enforced()

  Returns the meta object for the attribute '`Enforced`'.

  Returns:
    the meta object for the attribute 'Enforced'.
  See Also:
    `Constraint.isEnforced()`, `getConstraint()`

### getTableConstraint

    org.eclipse.emf.ecore.EClass getTableConstraint()

  Returns the meta object for class '`Table Constraint`'.

  Returns:
    the meta object for class 'Table Constraint'.
  See Also:
    `TableConstraint`

### getTableConstraint_BaseTable

    org.eclipse.emf.ecore.EReference getTableConstraint_BaseTable()

  Returns the meta object for the container reference '`Base Table`'.

  Returns:
    the meta object for the container reference 'Base Table'.
  See Also:
    `TableConstraint.getBaseTable()`, `getTableConstraint()`

### getReferenceConstraint

    org.eclipse.emf.ecore.EClass getReferenceConstraint()

  Returns the meta object for class '`Reference Constraint`'.

  Returns:
    the meta object for class 'Reference Constraint'.
  See Also:
    `ReferenceConstraint`

### getReferenceConstraint_Members

    org.eclipse.emf.ecore.EReference getReferenceConstraint_Members()

  Returns the meta object for the reference list '`Members`'.

  Returns:
    the meta object for the reference list 'Members'.
  See Also:
    `ReferenceConstraint.getMembers()`, `getReferenceConstraint()`

### getCheckConstraint

    org.eclipse.emf.ecore.EClass getCheckConstraint()

  Returns the meta object for class '`Check Constraint`'.

  Returns:
    the meta object for class 'Check Constraint'.
  See Also:
    `CheckConstraint`

### getCheckConstraint_SearchCondition

    org.eclipse.emf.ecore.EReference getCheckConstraint_SearchCondition()

  Returns the meta object for the containment reference '`Search Condition`'.

  Returns:
    the meta object for the containment reference 'Search Condition'.
  See Also:
    `CheckConstraint.getSearchCondition()`, `getCheckConstraint()`

### getForeignKey

    org.eclipse.emf.ecore.EClass getForeignKey()

  Returns the meta object for class '`Foreign Key`'.

  Returns:
    the meta object for class 'Foreign Key'.
  See Also:
    `ForeignKey`

### getForeignKey_Match

    org.eclipse.emf.ecore.EAttribute getForeignKey_Match()

  Returns the meta object for the attribute '`Match`'.

  Returns:
    the meta object for the attribute 'Match'.
  See Also:
    `ForeignKey.getMatch()`, `getForeignKey()`

### getForeignKey_OnUpdate

    org.eclipse.emf.ecore.EAttribute getForeignKey_OnUpdate()

  Returns the meta object for the attribute '`On Update`'.

  Returns:
    the meta object for the attribute 'On Update'.
  See Also:
    `ForeignKey.getOnUpdate()`, `getForeignKey()`

### getForeignKey_OnDelete

    org.eclipse.emf.ecore.EAttribute getForeignKey_OnDelete()

  Returns the meta object for the attribute '`On Delete`'.

  Returns:
    the meta object for the attribute 'On Delete'.
  See Also:
    `ForeignKey.getOnDelete()`, `getForeignKey()`

### getForeignKey_UniqueConstraint

    org.eclipse.emf.ecore.EReference getForeignKey_UniqueConstraint()

  Returns the meta object for the reference '`Unique Constraint`'.

  Returns:
    the meta object for the reference 'Unique Constraint'.
  See Also:
    `ForeignKey.getUniqueConstraint()`, `getForeignKey()`

### getForeignKey_ReferencedMembers

    org.eclipse.emf.ecore.EReference getForeignKey_ReferencedMembers()

  Returns the meta object for the reference list '`Referenced Members`'.

  Returns:
    the meta object for the reference list 'Referenced Members'.
  See Also:
    `ForeignKey.getReferencedMembers()`, `getForeignKey()`

### getForeignKey_UniqueIndex

    org.eclipse.emf.ecore.EReference getForeignKey_UniqueIndex()

  Returns the meta object for the reference '`Unique Index`'.

  Returns:
    the meta object for the reference 'Unique Index'.
  See Also:
    `ForeignKey.getUniqueIndex()`, `getForeignKey()`

### getForeignKey_ReferencedTable

    org.eclipse.emf.ecore.EReference getForeignKey_ReferencedTable()

  Returns the meta object for the reference '`Referenced Table`'.

  Returns:
    the meta object for the reference 'Referenced Table'.
  See Also:
    `ForeignKey.getReferencedTable()`, `getForeignKey()`

### getUniqueConstraint

    org.eclipse.emf.ecore.EClass getUniqueConstraint()

  Returns the meta object for class '`Unique Constraint`'.

  Returns:
    the meta object for class 'Unique Constraint'.
  See Also:
    `UniqueConstraint`

### getUniqueConstraint_ForeignKey

    org.eclipse.emf.ecore.EReference getUniqueConstraint_ForeignKey()

  Returns the meta object for the reference list '`Foreign Key`'.

  Returns:
    the meta object for the reference list 'Foreign Key'.
  See Also:
    `UniqueConstraint.getForeignKey()`, `getUniqueConstraint()`

### getPrimaryKey

    org.eclipse.emf.ecore.EClass getPrimaryKey()

  Returns the meta object for class '`Primary Key`'.

  Returns:
    the meta object for class 'Primary Key'.
  See Also:
    `PrimaryKey`

### getIndex

    org.eclipse.emf.ecore.EClass getIndex()

  Returns the meta object for class '`Index`'.

  Returns:
    the meta object for class 'Index'.
  See Also:
    `Index`

### getIndex_Schema

    org.eclipse.emf.ecore.EReference getIndex_Schema()

  Returns the meta object for the reference '`Schema`'.

  Returns:
    the meta object for the reference 'Schema'.
  See Also:
    `Index.getSchema()`, `getIndex()`

### getIndex_Clustered

    org.eclipse.emf.ecore.EAttribute getIndex_Clustered()

  Returns the meta object for the attribute '`Clustered`'.

  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `Index.isClustered()`, `getIndex()`

### getIndex_FillFactor

    org.eclipse.emf.ecore.EAttribute getIndex_FillFactor()

  Returns the meta object for the attribute '`Fill Factor`'.

  Returns:
    the meta object for the attribute 'Fill Factor'.
  See Also:
    `Index.getFillFactor()`, `getIndex()`

### getIndex_Unique

    org.eclipse.emf.ecore.EAttribute getIndex_Unique()

  Returns the meta object for the attribute '`Unique`'.

  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `Index.isUnique()`, `getIndex()`

### getIndex_SystemGenerated

    org.eclipse.emf.ecore.EAttribute getIndex_SystemGenerated()

  Returns the meta object for the attribute '`System Generated`'.

  Returns:
    the meta object for the attribute 'System Generated'.
  See Also:
    `Index.isSystemGenerated()`, `getIndex()`

### getIndex_Members

    org.eclipse.emf.ecore.EReference getIndex_Members()

  Returns the meta object for the containment reference list '`Members`'.

  Returns:
    the meta object for the containment reference list 'Members'.
  See Also:
    `Index.getMembers()`, `getIndex()`

### getIndex_Table

    org.eclipse.emf.ecore.EReference getIndex_Table()

  Returns the meta object for the reference '`Table`'.

  Returns:
    the meta object for the reference 'Table'.
  See Also:
    `Index.getTable()`, `getIndex()`

### getIndex_ForeignKey

    org.eclipse.emf.ecore.EReference getIndex_ForeignKey()

  Returns the meta object for the reference list '`Foreign Key`'.

  Returns:
    the meta object for the reference list 'Foreign Key'.
  See Also:
    `Index.getForeignKey()`, `getIndex()`

### getIndex_IncludedMembers

    org.eclipse.emf.ecore.EReference getIndex_IncludedMembers()

  Returns the meta object for the containment reference list '`Included Members`'.

  Returns:
    the meta object for the containment reference list 'Included Members'.
  See Also:
    `Index.getIncludedMembers()`, `getIndex()`

### getIndexMember

    org.eclipse.emf.ecore.EClass getIndexMember()

  Returns the meta object for class '`Index Member`'.

  Returns:
    the meta object for class 'Index Member'.
  See Also:
    `IndexMember`

### getIndexMember_IncrementType

    org.eclipse.emf.ecore.EAttribute getIndexMember_IncrementType()

  Returns the meta object for the attribute '`Increment Type`'.

  Returns:
    the meta object for the attribute 'Increment Type'.
  See Also:
    `IndexMember.getIncrementType()`, `getIndexMember()`

### getIndexMember_Column

    org.eclipse.emf.ecore.EReference getIndexMember_Column()

  Returns the meta object for the reference '`Column`'.

  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `IndexMember.getColumn()`, `getIndexMember()`

### getMatchType

    org.eclipse.emf.ecore.EEnum getMatchType()

  Returns the meta object for enum '`Match Type`'.

  Returns:
    the meta object for enum 'Match Type'.
  See Also:
    `MatchType`

### getIncrementType

    org.eclipse.emf.ecore.EEnum getIncrementType()

  Returns the meta object for enum '`Increment Type`'.

  Returns:
    the meta object for enum 'Increment Type'.
  See Also:
    `IncrementType`

### getSQLConstraintsFactory

    SQLConstraintsFactory getSQLConstraintsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.